import request from '../../utils/request'

/**
 * 获取课程分页列表
 * @param {JSON参数} data
 */
//  获取素材分组分页列表
export function getContributeMediumGroupPageList(data) {
    return request({
        url: '/QYContribute/GetContributeMediumGroupPageList',
        method: 'post',
        data
    })
}

//  新增修改素材分组
export function setContributeMediumGroup(data) {
    return request({
        url: '/QYContribute/SetContributeMediumGroup',
        method: 'post',
        data
    })
}
//  删除素材分组
export function delContributeMediumGroup(data) {
    return request({
        url: '/QYContribute/DelContributeMediumGroup',
        method: 'post',
        data
    })
}

//  获取投稿类型枚举列表
export function getContributeInfoTypeEnumList(data) {
    return request({
        url: '/QYContribute/GetContributeInfoTypeEnumList',
        method: 'post',
        data
    })
}
//  获取投稿状态枚举列表
export function getContributeInfoStateEnumList(data) {
    return request({
        url: '/QYContribute/GetContributeInfoStateEnumList',
        method: 'post',
        data
    })
}
//  获取我的投稿分页列表
export function getMyContributeInfoPageList(data) {
    return request({
        url: '/QYContribute/GetMyContributeInfoPageList',
        method: 'post',
        data
    })
}
//  设置投稿状态
export function setContributeInfoState(data) {
    return request({
        url: '/QYContribute/SetContributeInfoState',
        method: 'post',
        data
    })
}
//  设置投稿状态
export function setContributeInfo(data) {
    return request({
        url: '/QYContribute/SetContributeInfo',
        method: 'post',
        data
    })
}
//  获取投稿详情
export function getContributeInfo(data) {
    return request({
        url: '/QYContribute/GetContributeInfo',
        method: 'post',
        data
    })
}

//  管理端发布投稿
export function setContributeInfoPublish(data) {
    return request({
        url: '/QYContribute/SetContributeInfoPublish',
        method: 'post',
        data
    })
}
//  获取小程序列表
export function getContributeAppletList(data) {
    return request({
        url: '/QYContribute/GetContributeAppletList',
        method: 'post',
        data
    })
}

//  获取管理端投稿发布列表
export function getContributeInfoAuditedPageList(data) {
    return request({
        url: '/QYContribute/GetContributeInfoAuditedPageList',
        method: 'post',
        data
    })
}

//  管理端修改投稿
export function setAdminContributeInfo(data) {
    return request({
        url: '/QYContribute/SetAdminContributeInfo',
        method: 'post',
        data
    })
}

//  获取发布记录
export function getContributeInfoPublishLogList(data) {
    return request({
        url: '/QYContribute/GetContributeInfoPublishLogList',
        method: 'post',
        data
    })
}

//  获取公众号用户标签
export function getGZHUserTagList(data) {
    return request({
        url: '/QYContribute/GetGZHUserTagList',
        method: 'post',
        data
    })
}

